com.streambase.sb

## Class StreamProperties

- java.lang.Object
- - com.streambase.sb.StreamProperties

- All Implemented Interfaces:
    Serializable

      public final class StreamProperties
      extends Object
      implements Serializable

  This class contains meta data about a stream.

  Note: Serializations of instances of this class that are created (e.g., by using `ObjectOutputStream`) in one version of StreamBase in general will not be deserializable in any other version of StreamBase.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamProperties(Element element)` Create a StreamProperties from the given XML document
    `StreamProperties(Element element, ByteOrder byteOrder)` Create a StreamProperties from the given XML document
    `StreamProperties(String a_xmlString)` Create a StreamProperties from the given string representation of an XML document
    `StreamProperties(String a_xmlString, ByteOrder a_order)` Create a StreamProperties from the given string representation of an XML document

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `CaptureTransformStrategy` | `getCaptureTransformStrategy()`
    `String` | `getContainerName()` Return the container name part of the name
    `String` | `getModuleQualifiedName()` Return the module qualified name of this Stream.
    `String` | `getName()` Return the stream name part of the name
    `String` | `getQualifiedName()` Return the fully qualified name of this Stream.
    `Schema` | `getSchema()` Return the stream's Schema
    `int` | `hashCode()`
    `boolean` | `isInputStream()` Returns `true` if this stream is an input stream
    `boolean` | `isOutputStream()` Returns true if this stream is an Output Stream
    `String` | `toHumanString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamProperties

          public StreamProperties(Element element)
                           throws StreamBaseException

      Create a StreamProperties from the given XML document
      Parameters:
        `element` - The starting element of the StreamProperties XML document
      Throws:
        `StreamBaseException` - thrown when can not convert XML document into a StreamProperties

    - #### StreamProperties

          StreamProperties(Element element,
                           ByteOrder byteOrder)
                    throws StreamBaseException

      Create a StreamProperties from the given XML document
      Parameters:
        `element` - The starting element of the StreamProperties XML document
        `byteOrder` - the byte order to create tuples in
      Throws:
        `StreamBaseException` - thrown when can not convert XML document into a StreamProperties

    - #### StreamProperties

          StreamProperties(String a_xmlString,
                           ByteOrder a_order)
                    throws StreamBaseException

      Create a StreamProperties from the given string representation of an XML document
      Parameters:
        `a_xmlString` - The string representation of a XML document of a StreamProperties
        `a_order` - the byte order to create tuples in
      Throws:
        `StreamBaseException` - thrown when can not convert XML document into a StreamProperties

    - #### StreamProperties

          public StreamProperties(String a_xmlString)
                           throws StreamBaseException

      Create a StreamProperties from the given string representation of an XML document
      Parameters:
        `a_xmlString` - The string representation of a XML document of a StreamProperties
      Throws:
        `StreamBaseException` - thrown when can not convert XML document into a StreamProperties

  - ### Method Detail

    - #### getQualifiedName

          public String getQualifiedName()

      Return the fully qualified name of this Stream. Will include the container name and any modules.
      Returns:
        container name + name

    - #### getName

          public String getName()

      Return the stream name part of the name
      Returns:
        the stream name of the name

    - #### getContainerName

          public String getContainerName()

      Return the container name part of the name
      Returns:
        Return the container name part of the name

    - #### getModuleQualifiedName

          public String getModuleQualifiedName()

      Return the module qualified name of this Stream. Will include any module names, but does not include the container name.
      Returns:
        (module names if any) + name
      Since:
        5.0

    - #### getSchema

          public Schema getSchema()

      Return the stream's Schema
      Returns:
        the Schema of the stream

    - #### toHumanString

          public String toHumanString()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### isInputStream

          public boolean isInputStream()

      Returns `true` if this stream is an input stream
      Returns:
        `true` if this stream is an input stream
      Since:
        6.2

    - #### isOutputStream

          public boolean isOutputStream()

      Returns true if this stream is an Output Stream
      Since:
        6.2

    - #### getCaptureTransformStrategy

          public CaptureTransformStrategy getCaptureTransformStrategy()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.